# Method: projects.locations.connectClusters.connectors.list

- [HTTP request](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.connectClusters.connectors/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.connectClusters.connectors/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.connectClusters.connectors/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.connectClusters.connectors/list#body.request_body)
- [Response body](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.connectClusters.connectors/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.connectClusters.connectors/list#body.ListConnectorsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.connectClusters.connectors/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.connectClusters.connectors/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.connectClusters.connectors/list#try-it)

Lists the connectors in a given Connect cluster.

### HTTP request

`GET https://managedkafka.googleapis.com/v1/{parent=projects/*/locations/*/connectClusters/*}/connectors`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent Connect cluster whose connectors are to be listed. Structured like `projects/{project}/locations/{location}/connectClusters/{connectClusterId}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of connectors to return. The service may return fewer than this value. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` Optional. A page token, received from a previous `connectors.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `connectors.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response for connectors.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "connectors": [ { object (`https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.connectClusters.connectors#Connector`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `connectors[]` | ``object (`https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.connectClusters.connectors#Connector`)`` The list of connectors in the requested parent. |
| `nextPageToken` | `string` A token that can be sent as `pageToken` to retrieve the next page of results. If this field is omitted, there are no more results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `managedkafka.connectors.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).